@charset "UTF-8";
:root {
    --content_size: 1040px;
}

.page_title {
    img {
        width: 100%;
        padding: 0 4px;
        max-width: 444px;
        margin-bottom: 16px;
    }
    span {
        display: block;
        text-align: center;
        font-size: 32px;
        color: #d52019;
        margin-bottom: 16px;
    }
}

.content_title {
    font-size: 32px;
    color: #d52019;
    margin-bottom: 16px;
}
.content_block {
    width: 100%;
    margin-bottom: 64px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    .text_and_image {
        width: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        height: inherit;
        .content_image,
        .content_text {
            width: 50%;
        }
        .content_image {
            height: inherit;
            background-repeat: no-repeat;
            background-position: center;
            background-size: contain;
            display: flex;
            justify-content: center;
            img{
                height: fit-content;
            }
        }
        .content_text {
            display: flex;
            justify-content: flex-start;
            align-items: center;
            padding: 0 32px;
            .text_content{
                width: 100%;
            }
        }
    }
    .link_block {
        position: relative;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        height: inherit;
        .link_image {
            width: 100%;
            position: absolute;
            z-index: -1;
            height: inherit;
            background-size: cover;
            background-repeat: no-repeat;
            background-position: top center;
        }
        .link_text {
            display: flex;
            justify-content: center;
            align-items: center;
            a {
                display: block;
                text-align: center;
                font-size: 48px;
                background-color: #fff;
                text-decoration: none;
                padding: 4px 16px;
                width: fit-content;
                &:hover {
                    background-color: #82b0d3;
                    color: #fff;
                }
            }
        }
    }
}

ul.performanceList {
    width: 100%;
    li.content_block {
        /* height: 300px; */
        margin-bottom: 32px;
        .content_image {
            background-size: contain;
        }
        .content_text {
            flex-direction: column;
            justify-content: flex-start;
            align-items: flex-start;
            .content_title {
                margin-bottom: 0;
            }
            .postedDate {
                text-align: right;
            }
            .sellURL {
                display: block;
                width: 100%;
                a {
                    display: block;
                    width: 100%;
                    background-color: #d52019;
                    color: #fff;
                    text-align: center;
                    padding: 8px;
                    &:hover {
                        background-color: pink;
                    }
                }
            }
        }
    }
}

.toppage {
    .content_block {
        height: 500px;
        .text_and_image {
            .content_text {
                justify-content: center;
            }
        }
        &.content1 {
            height: auto;
            .text_content{
                width: auto;
            }
        }

        &.to_works {
            .link_image {
                background-image: url(/img/musical/works_link1.webp);
            }
        }

        &.to_schedule {
            .link_image {
                background-image: url(/img/musical/schedule_link1.webp);
            }
        }

        &.to_cast {
            .link_image {
                background-image: url(/img/musical/cast_link1.webp);
            }
        }

        &.to_history {
            background-color: #f1d604;
            .link_text a {
                background-color: transparent;
                &:hover {
                    background-color: transparent;
                }
            }
        }
    }
    .gallery {
        width: 100%;
        ul {
            width: 100%;
            display: grid;
            justify-content: center;
            grid-auto-rows: 192px;
            grid-template-columns: repeat(auto-fit, 288px);
        }
    }

}


.works {
    .content_block {
        &.worksList ul {
            width: 100%;
            li.content_block {
                margin-bottom: 32px;
                .content_image {
                    background-size: contain;
                }
            }
        }
    }
}



.cast {
    dt {
        text-align: center;
        font-size: 12px;
    }
    .castList {
        display: grid;
        grid-template-rows: auto;
        grid-template-columns: repeat(auto-fill, 334px);
        justify-content: space-around;
        width: 100%;
        max-width: 1328px;
        /* overflow: hidden; */

        div {
            position: relative;
            display: flex;
            flex-direction: column;
            align-items: center;
            .cast_image {
                width: 100%;
                max-width: 216px;
                background-repeat: no-repeat;
                border-radius: 50%;
                background-size: cover;
                aspect-ratio: 1/1;
            }
            dl {
                flex-direction: column;
                dt {
                    font-size: 20px;
                    margin-bottom: 20px;
                }
                dd {
                    font-size: 14px;
                    padding: 0 14px;
                }
            }
        }

    }

}


@media only screen and (max-width: 1200px) {
    .content_block {
        .text_and_image {
            /* aspect-ratio: 33/13; */
            .content_image {
                aspect-ratio: inherit;
            }
        }
        .link_block {
            aspect-ratio: 33/13;
            .link_image {
                aspect-ratio: inherit;
                background-size: contain;
            }
        }
    }

    .toppage {
        .content_block {
            height: auto;
            &.content1 {
                /* height: 500px; */
            }
            &.to_works {
                .link_image {
                    background-image: url(/img/musical/works_link2.webp);
                }
            }
            &.to_schedule {
                .link_image {
                    background-image: url(/img/musical/schedule_link2.webp);
                }
            }
            &.to_cast {
                .link_image {
                    background-image: url(/img/musical/cast_link2.webp);
                }
            }

        }
    }

    .castList {
        flex-wrap: wrap;
        div {
            margin-bottom: 56px;
        }
    }
}

@media screen and (max-width:767px) {
    .content_block {
        .text_and_image {
            flex-direction: column;
            align-items: center;
            .content_image,
            .content_text {
                width: 100%;
            }
        }
        .link_block {
            aspect-ratio: 33/13;
            .link_image {
                width: 50%;
                position: relative;
                background-size: contain;
            }
            .link_text {
                width: 50%;
                background-color: #ed6d68;
                a {
                    background-color: transparent;
                }
            }
        }
    }

    .toppage {
        .content_block {
            &.content1 {
                height: auto;
                margin-bottom: 0;
                .content_image {
                    /* aspect-ratio: 46/29; */
                }
            }
            &.to_history {
                .link_block {
                    .link_text {
                        background-color: transparent;
                        a {
                            background-color: transparent;
                        }
                    }
                }
            }
        }
    }

    .works {
        .content_block {
            li.content_block {
                height: auto;
                .content_image {
                    aspect-ratio: 46/27;
                }
            }
            .content_image {
                background-size: contain;
            }

        }
    }


}

@media screen and (max-width:470px) {
    .toppage .content_block {
        .link_block {
            .link_text {
                a {
                    font-size: 30px;
                }
            }
        }
    }
}